#pragma once

#ifdef __APPLE__
typedef int64_t ElapsedTime;
#else
typedef __int64 ElapsedTime;
#endif

class Timer
{
public:
	Timer(void);
	~Timer(void);

	ElapsedTime TimeElapsed();

private:
	ElapsedTime last_time_measured;
	ElapsedTime ticks_per_ms;
};