#pragma once

#include <utils.h>
#include "Entity3dCollection.h"
#include "Vector3d.h"
#include "GeneratorBase.h"

class World;

class Generator : public GeneratorBase
{
public:
	Generator(int typeID);
	~Generator(void){}

	virtual void SaveToXml(TiXmlElement *currentElement);
	virtual void LoadFromXml(TiXmlElement *currentElement);

	virtual void BuildCollection(Entity3dCollection* collection, WindowMapping &mapping) = 0;
	virtual int GetTextureCount() = 0;
};